#include <bits/stdc++.h>
using namespace std;

#define pb push_back;

void solve() {
	long long n, m, k;
	cin >> n >> m >> k;
	cout << ((n + k - 1) / k) * ((m + k - 1) / k);
}

int main() {
	ios_base::sync_with_stdio(0); cin.tie(0); cout.tie(0);
	
	int T = 1;
//	cin >> T;
	while (T--) {
		solve();
	}
	return 0;
}
